
Redmine - Defect #18275

First argument in form cannot contain nil or be empty error on revision view

2014-11-04 18:33 - Elbert Castañeda

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

In the log file, i have this error: "ActionView::Template::Error (First argument in form cannot contain nil or be empty):"

Forum Discussion open in:

http://www.redmine.org/boards/2/topics/44534

Related issues:

Related to Redmine - Defect #18429: Error raised on project settings after pr... Closed

Related to Redmine - Feature #14534: Upgrade to Rails 4.2 Closed

Associated revisions

Revision 13661 - 2014-11-28 08:59 - Jean-Philippe Lang

Fixed "First argument in form cannot contain nil or be empty" error (#18275).

History

#1 - 2014-11-05 00:12 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2014-11-10 09:00 - Ben Bernard

Environment:

  Redmine version                2.6.0.devel

  Ruby version                   2.1.4-p265 (2014-10-27) [x86_64-linux]

  Rails version                  4.1.6

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.11

  Mercurial                      1.4

  Git                            1.7.1

  Filesystem

Redmine plugins:

  no plugin installed

PostgreSQL 9.3.5

#3 - 2014-11-10 09:38 - Toshi MARUYAMA

Ben Bernard wrote:

Rails version                  4.1.6

 You use trunk.

Please use release version instead.

#4 - 2014-11-10 09:47 - Ben Bernard

I use branch origin/2.6-stable from https://github.com/redmine/redmine. What is the recommended rails version?

#5 - 2014-11-10 09:58 - Ben Bernard
Ah.. I'm being careless, I not set the branch correctly. Thanks for quick reply.

Now I can confirm that the bug is not occur in branch 2.6-stable.

#6 - 2014-11-10 10:38 - Toshi MARUYAMA

- Target version set to 3.0.0

- Affected version deleted (2.6.0)

#7 - 2014-11-10 10:38 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#8 - 2014-11-10 10:39 - Toshi MARUYAMA

Ben Bernard wrote:

Ah.. I'm being careless, I not set the branch correctly. Thanks for quick reply.

Now I can confirm that the bug is not occur in branch 2.6-stable.

 Thank you for your feedback.

#9 - 2014-11-24 12:08 - Toshi MARUYAMA

- Related to Defect #18429: Error raised on project settings after project wiki is deleted added

#10 - 2014-11-28 09:00 - Jean-Philippe Lang

- Subject changed from I can't access to "revision view" on my Redmine site to First argument in form cannot contain nil or be empty error on revision

view

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13661.

#11 - 2014-11-28 09:10 - Toshi MARUYAMA

- Target version deleted (3.0.0)

This issue is not needed in ChangeLog.

#12 - 2014-11-28 10:40 - Jean-Philippe Lang

- Related to Feature #14534: Upgrade to Rails 4.2 added
